/*
 * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef _SUNIO_H
#define _SUNIO_H

#pragma ident   "@(#)sunIo.h	35.4    05/05/06 SMI"


#include "misc.h"       /* For Bool */

extern int   sunCreateDFBPixmap;

extern int   sunAddFbDev(const char *devname);
extern char *sunGetDeviceIdentifier(const char *devname);
extern void  AbortDDX(void);
extern void  ProcessInputEvents(void);
extern void  sunEnqueueEvents(void);
extern void  sunScreenConfig(void);
extern void  sunGetMonitorRes(int, int *, int *);
extern void  sunGetVisualInfo(int, int *, int *, Bool *);
extern char *sunNthdev(char *, int, char);
extern char *nthdev(char *, int);
extern int   sunPlatformInit(void);
extern int   sunPlatformClose(void);
#endif /* _SUNIO_H */
