/*
 * @(#)XineramaInfo.h	1.2 99/10/27
 *
 * Copyright (c) 10/27/99 Sun Microsystems, Inc. All Rights Reserved.
*/

#define XinID	int
#define MAXSCREEN 16
#define DELTA	int
#define POINT	int
typedef struct subwid
{
	XinID	wid;	/* sub window id */
	DELTA	dx,dy;	/* delta in screen co-ord from virtual zero */
	POINT	x,y;	/* location of window in screen co-ord */
	DELTA 	wdx,wdy;/* size of window in screen co-ord */
}SubWID, *pSubWID;

typedef struct xineramainfo
{
	XinID 	wid;	/* Window ID of requested virtual window */
	SubWID	subs[MAXSCREEN];	/* there will be 16 slots */
}XineramaInfo, *pXineramaInfo;

typedef struct _XDgaXineramaInfoReply
{
	BYTE	type;
	CARD8	unused;
	CARD16	sequenceNumber B16;
	CARD32	length B32;
	XinID 	wid;	/* Window ID of requested virtual window */
	SubWID	subs[MAXSCREEN];	/* there will be 16 slots */
}xDgaXineramaInfoReply;

typedef struct _XDgaXineramaInfoReq
{
	CARD8	reqType;
	CARD8	xdgaReqType;
	CARD16	length B16;
	CARD32	visual B32;
}xDgaXineramaInfoReq;
#define sz_xDgaXineramaInfoReq 8

