#ifndef _SUNDPATYPE_H
#define _SUNDPATYPE_H
#pragma ident "@(#)sundpatype.h	1.1 94/11/20   SMI" 

/*
 *   ----------------------------------------------------------------- 
 *          Copyright (C) 1994  Sun Microsystems, Inc
 *                      All rights reserved. 
 *            Notice of copyright on this source code 
 *            product does not indicate publication. 
 *   
 *                    RESTRICTED RIGHTS LEGEND: 
 *   Use, duplication, or disclosure by the Government is subject 
 *   to restrictions as set forth in subparagraph (c)(1)(ii) of 
 *   the Rights in Technical Data and Computer Software clause at 
 *   DFARS 52.227-7013 and in similar clauses in the FAR and NASA 
 *   FAR Supplement. 
 *   ----------------------------------------------------------------- 
 */

/* 
 * sunDPAAccessType - value handler is to return from directAccessOk
 *
 *   sunDPANeither DPA not avialable for either Drawable 
 *   sunDPABoth    Simultaneous DPA OK
 *   sunDPAOne	   DPA allowed on first Drawable but not second Drawable
 *   sunDPATwo	   DPA allowed on first Drawable but not second Drawable
 *   sunDPAEitherNotBoth  DPA allowed on either Drawable, just not at same time
 */

typedef enum {
    sunDPANeither,	
    sunDPABoth,
    sunDPAOne,
    sunDPATwo,
    sunDPAEitherNotBoth
} sunDPAccessType;

#endif /* !defined(_SUNDPATYPE_H) */
