/*
 * Copyright (c) 1996 by Sun Microsystems, Inc.
 * All rights reserved.
 */

#pragma ident   "@(#)sunddk.h	1.4	00/06/07 SMI"

#ifndef _SUNDDK_H_ 
#define _SUNDDK_H_ 

/*
 * Server Device Developer's Kit (DDK) Version number
*/

#ifndef SUNSOFT_BUYBACK
#define SUNSOFT_BUYBACK
#endif
 
#include <misc.h>

#define DDK_MAJOR_VERSION 1
#define DDK_MINOR_VERSION 3
 
typedef struct {
    CARD16 majorVersion;
    CARD16 minorVersion;
} sunDDKVersionRec, *sunDDKVersionPtr;
 
sunDDKVersionPtr sunGetDDKVersion(void);
extern Bool sunCheckModuleCompat(char *);

#endif /* _SUNDDK_H_ */
